View Issue Details

IDProjectCategoryView StatusLast Update
0000643CaseTalk ModelerModel Constraintspublic2016-02-01 16:37
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version8.0 
Target Version9.0Fixed in Version8.6.2 
Summary0000643: Verbalizing subset constraints fails with multiple roleparts
DescriptionA subset with more than a single RolePart is not properly verbalized.
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2015-03-18 14:25

administrator   ~0000359

A different verbalization is now used for a single rolepart and multiple roleparts.
BCP Software

BCP Software

2016-02-01 10:53

administrator   ~0000509

In some cases it is still not properly verbalized. If the subset is on a role inside an OTFT (from or to), which has more than a single role, the verbalization should always be "<Role.PlayedBy> in <Role.PartOf>......". This is not always the case, and requires a fix.

Issue History

Date Modified Username Field Change
2015-03-18 14:24 BCP Software New Issue
2015-03-18 14:24 BCP Software Status new => assigned
2015-03-18 14:24 BCP Software Assigned To => BCP Software
2015-03-18 14:25 BCP Software Note Added: 0000359
2015-03-18 14:25 BCP Software Status assigned => resolved
2015-03-18 14:25 BCP Software Fixed in Version => 9.0
2015-03-18 14:25 BCP Software Resolution open => fixed
2016-01-07 15:31 BCP Software Description Updated View Revisions
2016-01-07 15:32 BCP Software Fixed in Version 9.0 => 8.5.1
2016-01-20 12:59 BCP Software Category Rules => Constraints
2016-01-20 12:59 BCP Software Category Constraints => Model Constraints
2016-02-01 10:53 BCP Software Note Added: 0000509
2016-02-01 10:53 BCP Software Status resolved => new
2016-02-01 10:53 BCP Software Status new => resolved
2016-02-01 10:53 BCP Software Fixed in Version 8.5.1 => 9.0
2016-02-01 16:37 BCP Software Fixed in Version 9.0 => 8.6.2